Get trust relationship
- GET /platform/configuration/trust-relationships/{trust_relationship_id}
Retrieves information about a trust relationship.
Path Parameters
-
trust_relationship_idstringrequired -
Identifier for the trust relationship
Query Parameters
-
include_certificateboolean · default: false Whether to include the public CA certificates in the response.
Responses
The trust relationship info response
-
idstringrequired -
The id of the trust relationship
-
namestringrequired -
The name of the trust relationship
-
trust_by_defaultbooleanrequired -
If this relationship is trusted by default by all deployments in the current environment.
-
account_idsstring -
The ID of the accounts trusted by this relationship.
-
public_ca_certstring -
The public CA certificate of the environment to trust
-
localbooleanrequired -
If this is the trust relationship for the local environment
-
installation_idstring -
The installation ID of the environment to trust
-
last_modifiedstringrequired -
The most recent time the trust relationship was changed (ISO format in UTC)
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
You are not authorized to perform this action.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
The trust relationship specified by {trust_relationship_id} cannot be found. (code: trust_relationships.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response